@import url("../games.css?v=2026.03.22");

@layer default, other;

:root {
    --tile-size: 5rem;
    --tile-gap: 0.5rem;
    
    --primary-color: #20a9ff;
    --secondary-color: #168eff;
    --color-gradient: linear-gradient(var(--primary-color), var(--secondary-color));
    --glow-color: #168eff7a;
    --text-shadow: 0 .25rem .75rem #0000001f;

    --good: rgb(82, 207, 130);
    --bad: rgb(255, 97, 97);
}

html, body {
    width: 100vw;
    height: 100dvh;
    position: fixed;
    margin: 0;
    box-sizing: border-box;
    touch-action: manipulation;
}

body {
    overflow-x: hidden;
    overflow-y: auto;
    position: relative;
    gap: 2.5rem;
}

body, .grid, .row {
    display: flex;
    align-items: center;
    justify-content: center;
}

/* MARK: NAVBAR */

.game-icon {
    aspect-ratio: 1;
    padding: 0;
    border: none;
    border-radius: .625rem;
    background: var(--color-gradient);
    font: 1.25rem 'Martian Mono';
    font-weight: 700;
    color: white;
    text-shadow: var(--text-shadow);
    transition: none;
}


/* MARK: TITLE */

.title {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 0 2rem;
    margin-top: 3.5rem;
    position: relative;

    & > div {
        display: flex;
        flex-direction: column;
        align-items: start;
        margin-bottom: 2rem;
    }
}

#today {
    font: 2rem "Cabinet Grotesk";
    font-weight: 500;
}

#author {
    font-weight: 800;
}

/* MARK: GRID */


.grid, .row {
    gap: var(--tile-gap);
}

body, .grid {
    flex-direction: column;
}

h1, p {
    margin: 0;
    text-align: center;
}

p {
    font: 1.5rem 'Martian Mono';
    font-weight: 500;
    color: #112; 
}

button {
    appearance: none;
}

/* #grid {
    width: 100%;
    margin: 0 40px;
}

#grid > .row, #words-typed {
    max-width: 400px;
}

#words-typed {
    width: 100%;
    overflow-y: auto;
    scrollbar-width: none;
    max-height: 30vh;
    box-sizing: border-box;
} */

#words-typed {
    max-height: 16rem;
    overflow-y: auto;
    scrollbar-width: none;
    box-sizing: border-box;
    /* scroll-padding-top: 2rem; */
    flex-shrink: 1;
    justify-content: start;
}

/* MARK: TILES */


.tile {
    position: relative;
    height: var(--tile-size);
    border: 0.2rem solid #ccd;
    border-radius: 0.5rem;
    box-sizing: border-box;

    place-items: center;
    place-content: center;
    text-align: center;

    flex: 1 1;
    aspect-ratio: 1;

    font: calc(var(--tile-size) / 2) "Martian Mono";
    font-weight: 600;
    color: #334;
    user-select: none;

    &.changed {
        border-style: dashed;
        border-color: #aab;

        &.correct {
            border-color: oklch(from var(--good) calc(l - 0.15) c h);;
        }
    }

    &.correct {
        border-color: var(--good);
        background-color: var(--good);
        color: white;
    }

    &.wrong {
        border-color: var(--bad);
        background-color: var(--bad);
        color: white;
    }
}

.row {
    align-items: start;
}

.row.start > .tile, .row.end > .tile {
    color: white;
    border: none;
    background: var(--color-gradient);
    text-shadow: var(--text-shadow);
    box-shadow: 0 0 0.75rem var(--glow-color);
}

#grid.loaded {
    opacity: 1;
    animation: grid-appear 0.75s var(--smooth-easing);
}

@keyframes grid-appear {
    from { height: calc-size(fit-content, size - 4rem); } to { height: fit-content; }
}

#grid.loaded .row.start > .tile, #grid.loaded .row.end > .tile {
    animation: tile-descend 0.75s var(--smooth-easing) backwards;
    animation-delay: calc(65ms * sibling-index());
}

#grid.loaded .row.end > .tile {
    animation-delay: calc(150ms + 65ms * sibling-index());
}

@keyframes tile-descend {
    from {
        opacity: 0;
        translate: 0 -1.5rem;
        rotate: 6deg;
    }
}

.row.end.solved > .tile {
    animation: twist 0.45s ease-in-out 2 alternate;
    animation-delay: calc(60ms * sibling-index());
}

@keyframes twist {
    to {
        transform: rotate(12deg);
    }
}


.row:not(.typed, .start, .end) > .tile {
    border-style: dashed;
}

.row.typed > .tile:not(.changed) {
    border: none;
}

@layer default {
    .row.typed > .tile {
        background-color: #dde;
    }
}
/* 
.row.hint > .tile {
    color: #eef;
    font-weight: 500;
    cursor: pointer;

    animation: hint-soft-blink 800ms ease-in-out infinite alternate;
    animation-delay: calc(300ms * sibling-index());
}

@keyframes hint-soft-blink {
    from { color: #eef }
    to { color: #bbc }
}
*/

/* OTHER INFORMATION ---------------------------------------------------------------------------------- */


.other-information {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0.75rem;

    margin-block: 2rem;
    padding: 0 1.5rem;
    box-sizing: border-box;
}

.cool-underline {
    font-weight: 800;
    color: transparent;
    background: var(--color-gradient);
    background-clip: text;
    padding-bottom: .125rem;
    border-bottom: .125rem dotted var(--secondary-color);
}

#word-count {
    font: 2rem "Cabinet Grotesk";
    font-weight: bold;
}

#word-count > span {
    font-family: "Martian Mono";
    font-weight: 900;
    user-select: none;
}

#definition {
    justify-content: center;
    font: 1.5rem "Cabinet Grotesk";
    font-weight: 700;
    font-kerning: auto;
    max-width: min(70vw, 72rem);

    user-select: auto;
}

#definition > a {
    margin-right: 0.5rem;
    user-select: none;
    text-decoration: none;

    font-weight: 900;
    color: black;
}

#definition > a[href] {
    background: var(--color-gradient);
    background-clip: text;
    color: transparent;
}

#definition > a::after {
    content: ":";
}

/* DIALOGS ---------------------------------------------------------------------------------- */

#about-ladder .header {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 0.75rem;
    margin-bottom: 2rem;
    align-self: stretch;
}

#about-ladder .header * {
    text-align: left;
}

#about-ladder .header .icon {
    display: flex;
    align-items: center;
    justify-content: center;
    background: var(--color-gradient);
    font: 2.5rem 'Martian Mono';
    font-weight: 700;
    text-align: center;
    color: white;
    text-shadow: var(--text-shadow);
    box-shadow: 0 0 .75rem var(--glow-color);
    aspect-ratio: 1;
    border-radius: .625rem;
}

#about-ladder .header .icon > p {
    font: inherit;
    font-weight: inherit;
    color: inherit;
    text-shadow: inherit;
    user-select: none;
}

#about-ladder .header.congratulations {
    display: flex;
    flex-direction: column;
    align-items: center;
    align-self: stretch;
}

#about-ladder .header.congratulations * {
    text-align: center;
}

#about-ladder .header.congratulations .icon {
    height: 4rem;
}

#about-ladder .header.congratulations .icon > img {
    height: 60%;
}

#about-ladder .header .details {
    display: flex;
    flex-direction: column;
    align-self: stretch;
}

.statistics {
    display: grid;
    align-self: stretch;
    grid-template-columns: 1fr 1fr;
    gap: 0.75rem;
    margin-bottom: 1rem;
}

.statistics > div {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: end;
    background-color: #ccd;

    padding: 1rem;
    padding-top: 2.25rem;
    border-radius: .75rem;
    user-select: none;
}

.statistics *:not(img) {
    text-align: right;
    color: #334;
}

.statistics img {
    position: absolute;
    height: 50%;
    left: 1rem;
    bottom: 1rem;
    opacity: 30%;
    visibility: hidden;
}

.statistics h1 {
    font-size: 2.5rem;
    font-family: 'Martian Mono';
}

.statistics p {
    font-weight: bold;
}

.statistics .total-completed *,
.statistics .total-perfect *, 
.statistics .current-streak * {
    color: white;
    text-shadow: 0 .25rem .75rem #0000001f;
}

.total-completed { background: linear-gradient(-45deg, #20a9ff, #168eff); }
.total-perfect { background: linear-gradient(-45deg, #b255ff, #902ffe); }
.current-streak { background: linear-gradient(-45deg, #ff7262, #ff5879); }

.collapsed {
    display: flex;
    flex-direction: column;
    align-self: stretch;
}

.collapsed > div {
    display: flex;
    justify-content: space-between;
    padding-top: 0.75rem;
}

.collapsed > div:not(:last-child) {
    border-bottom: 1px solid #ccd;
    padding-bottom: 0.75rem;
}

.collapsed * {
    font: 1rem "Cabinet Grotesk";
    font-weight: 500;
}

.collapsed strong {
    font-weight: 700;
    order: 1;
}

#show-full-stats {
    background: none;
    border: none;
    outline: none;

    align-self: center;
    font: 1rem 'Cabinet Grotesk';
    font-weight: bold;
    color: var(--secondary-color);
    border-bottom: 1px solid var(--secondary-color);

    cursor: pointer;
}

#show-full-stats svg {
    display: inline-block;
    height: 1ch;
    transform: scaleX(-1);
    fill: none;
    stroke: var(--secondary-color);
    stroke-width: 1rem;
}

#about-ladder .options {
    margin-bottom: 2rem;
}

#mobile-navbar-options {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    align-self: stretch;
    gap: 0;
}

#mobile-navbar-options > button {
    border: none;
    outline: none;
    background: none;

    font: 1rem 'Cabinet Grotesk';
    font-weight: bold;
    color: #112;
    padding: 1rem;
    text-align: center;
    border-top: 1px solid #ccd;
    cursor: pointer;
}

#mobile-navbar-options > button.active {
    color: var(--good);
}




#how-to-play {
    width: fit-content;
}

#how-to-play ol, #how-to-play ul {
    margin: 0;
}

#how-to-play .examples {
    display: flex;
    flex-direction: column;
    align-self: stretch;
    align-items: stretch;
    gap: 2rem;
    margin: 2rem 0;
}

#how-to-play .example {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: min-content;
    margin-inline: 2rem;
}

#how-to-play .examples > div {
    display: flex;
    flex-direction: column;
    align-items: center;
    /* width: fit-content; */
    flex: 0 1;
}

#how-to-play .examples .label {
    text-align: center;
    align-self: center;
}

#how-to-play .row {
    justify-content: center;
}


#how-to-play > .example > .gradient-overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: linear-gradient(#ffffff00 50%, #fff);
}







#next-ladder-timer {
    align-self: stretch;
    margin-bottom: 1rem;
    text-align: center;
}





#full-stats {
    max-height: 40rem;
}

#full-stats .statistics {
    display: grid;
    align-self: stretch;
    grid-template-columns: 1fr 1fr;
    gap: 0.75rem;
    margin: 0 0 2rem 0;
}

#full-stats .statistics > div {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: end;
    justify-content: end;
    background-color: #ccd;

    padding: 1rem;
    padding-top: 2.25rem;
    border-radius: 0.75rem;
}

#full-stats hr {
    margin: 1.5rem 0;
}


/* MARK: ACHIEVEMENT TOAST */


div[popover].achievement-toast {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);

    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 0;

    width: max-content;
    height: min-content;
    min-width: 24rem;
    max-width: 36rem;
    margin: .75rem;
    padding: 1.25rem 2rem;
    padding-top: 2.5rem;
    padding-right: 6rem;

    border: 0.125rem solid #ccd;
    border-radius: 1rem;
    box-shadow: 0 0.75rem 1rem #0000000f;
    color: var(--text-color);
    transform-origin: left;

    --highlight-color: #fff7c8;
    --shadow-color: #ffee8f;
    --border-color: #e2d06c;

    background: linear-gradient(
        to left,
        var(--shadow) calc(var(--shine-progress) - 40%),
        var(--highlight) var(--shine-progress),
        var(--shadow) calc(var(--shine-progress) + 40%)
    );

    cursor: pointer;

    animation:
        achievement-drop-down 1s var(--smooth-easing),
        toast-shake 1.2s var(--spring-easing),
        toast-shine 1.5s ease-in 0.35s;
    z-index: 6;
}

@property --shine-progress {
    syntax: "<percentage>";
    inherits: false;
    initial-value: 50%;
}

@property --highlight {
    syntax: "<color>";
    inherits: false;
    initial-value: white;
}

@property --shadow {
    syntax: "<color>";
    inherits: false;
    initial-value: white;

}

@keyframes achievement-drop-down { from { top: -20%; } }
@keyframes achievement-fade-in { from { top: -20%; } }
@keyframes toast-shake { from {rotate: 20deg;} }
@keyframes toast-shine {
    from {
        --highlight: white;
        --shadow: white;
        --shine-progress: 0%;

        border-color: #ccd;
    }

    25% {
        --highlight: var(--highlight-color);
        --shadow: var(--shadow-color);

        border-color: var(--border-color);
        text-shadow: var(--text-shadow);
    }

    65% {
        --highlight: var(--highlight-color);
        --shadow: var(--shadow-color);

        border-color: var(--border-color);
        text-shadow: var(--text-shadow);
    }

    80% { --shine-progress: 100%; }

    to {
        --highlight: white;
        --shadow: white;

        border-color: #ccd;
    }
}

div[popover].achievement-toast .achievement-title {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;

    margin: 1rem;
    margin-inline: auto;
    width: fit-content;
    align-self: center;

    font: 1.1rem "Cabinet Grotesk";
    font-weight: bold;
    text-shadow: none;
}

div[popover].achievement-toast h1 {
    font: 2rem "Cabinet Grotesk";
    font-weight: 900;
    color: inherit;
    text-shadow: inherit;
    text-align: left;
}

div[popover].achievement-toast p {
    font: 1.5rem "Cabinet Grotesk";
    font-weight: 400;
    color: inherit;
    text-shadow: none;
    text-align: left;
}

div[popover].achievement-toast.dead {
    opacity: 0;
    transition: opacity 0.5s;
    cursor: default;
}


/* MARK: ACHIEVEMENTS */


#achievements-menu {
    width: 40rem;
    height: 60rem;
}

#achievements-menu li {
    margin-bottom: 0.25rem;
}

#completion-count {
    text-align: center;
    align-self: center;
    margin-block: 1rem;
}

#completion-count span {
    font-weight: 800;
}

.achievements-list {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    align-self: stretch;
    gap: 0.25rem;
}

@property --color-a {
    syntax: "<color>";
    inherits: false;
    initial-value: hsl(330, 100%, 71%);
}

@property --color-b {
    syntax: "<color>";
    inherits: false;
    initial-value: hsl(330, 100%, 54%);
}

.achievement {
    --color-a: hsl(calc(300 + cos(sibling-index() * 0.2) * 80), 100%, 66%);
    --color-b: hsl(calc(320 + cos(sibling-index() * 0.2) * 80), 100%, 50%);
    display: flex;
    flex-direction: column;
    align-items: start;

    background: linear-gradient(-12deg in oklch, var(--color-a), var(--color-b));
    color: white;
    border-radius: 0.75rem;
    text-shadow: 0 .25rem .65rem #0000002f;
    interpolate-size: allow-keywords;

    padding: 1rem 1.25rem;
    overflow: clip;
    user-select: none;
    animation: ach-come-in 1s var(--smooth-easing) calc(50ms * sibling-index()) backwards;
    transition:
        height 0.75s var(--smooth-easing),
        margin 0.5s var(--smooth-easing),
        background-color 0.25s;
}

@keyframes ach-come-in {
    from {
        opacity: 0;
        translate: 1.5rem 0;
    }
}

.achievement.break {
    margin-bottom: 2rem;
}

@keyframes desc-slide-in { from { margin-left: 1.5rem; } }

.achievement .header {
    display: flex;
    align-items: start;
    align-self: stretch;
    max-width: stretch;
    justify-content: space-between;
    gap: 1rem;
}

.achievement h1 {
    font: 1.4rem "Cabinet Grotesk";
    font-weight: 800;
    color: inherit;
    text-shadow: inherit;
    margin: 0;
    min-width: 0;
}

.achievement h1.achievement-title {
    flex-shrink: 2;
    text-align: left;

    place-items: start;
}

.achievement .progress {
    text-align: right;
}

.achievement p {
    font: 1.1rem "Cabinet Grotesk";
    font-weight: 500;
    color: inherit;
    text-shadow: none;
}

.achievement p b { font-weight: 800; }

.achievement.locked {
    background: none;
    color: var(--text-color);
    text-shadow: none;
    border: 0.125rem solid #dde;
    height: 1.4rem;
    margin-right: 0.75rem;
    cursor: pointer;
}

.achievement.locked:hover {
    margin-right: 0.25rem;
    background-color: #eef;
}

.achievement.locked h1.achievement-title {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.achievement.locked p {
    opacity: 0;
    transition: opacity 0.25s;
}

.achievement.locked.hidden {
    border: 0.125rem dashed #ccd;
    cursor: default;
}

.achievement.locked.hidden h1 {
    color: #aab;
    font-weight: bold;
}

.achievement.locked:not(.hidden):active {
    background: none;
    height: calc-size(min-content, size); 
}

.achievement.locked:not(.hidden):active p {
    opacity: 1;
    animation: desc-slide-in 1s var(--smooth-easing) forwards;
}

.achievement.locked:not(.hidden):active h1.achievement-title {
    white-space: initial;
    overflow: initial;
}

#archive-menu {
    width: 40rem;
    overflow: hidden;
}

#archive-menu > h2 { margin-bottom: 2rem; }

.calendar {
    display: flex;
    flex-direction: column;
    width: 100%;
    
    border: 0.125rem dashed #dde;
    border-radius: 2rem;

    margin-top: 1rem;
    margin-bottom: 1rem;
    padding: 1rem;
    box-sizing: border-box;
    --gap: 1.5rem;
}

.week {
    display: grid;
    width: 100%;
    grid-template-columns: repeat(7, 1fr);
}

.week > p {
    font-size: 1.5rem;
    font-weight: 700;
    text-align: center;
}

.calendar > .days {
    display: grid;
    grid-template: repeat(5, auto) / repeat(7, 1fr);
    column-gap: var(--gap);
    row-gap: 1rem;
    padding-left: calc(var(--gap) / 2);
    padding-right: calc(var(--gap) / 2);
}

.calendar .date {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 0.4rem;
    user-select: none;
    cursor: pointer;

    border: none;
    outline: none;
    background: none;
    padding: 0;
    margin: 0;
}

.calendar .date > .ball {
    display: none;
}

.calendar .date.future {
    cursor: initial;
}

.calendar .date.future > .status, .calendar .date.future > p{
    visibility: hidden;
}

.calendar .date.future > .ball {
    display: block;
    position: absolute;
    width: 1rem;
    height: 1rem;
    background-color: #dde;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 5vw;
}

.calendar .date.blank {
    visibility: hidden;
}

.calendar .status {
    width: 100%;
    aspect-ratio: 1;
    border: 0.125rem solid #ccd;
    border-radius: 1rem;
    box-sizing: border-box;

    display: flex;
    align-items: center;
    justify-content: center;
    color: #112;
}

.calendar .status p {
    font: 1.5rem 'Cabinet Grotesk';
    font-weight: 700;
    color: inherit;
}

.calendar .status > img {
    height: 50%;
    transform: translateY(-4%);
    display: none;
}

.calendar .status.today {
    background: var(--color-gradient);
    border: none;
    color: white;
    box-shadow: 0 0 0.75rem var(--glow-color);
}

.calendar .status.today > p {
    font-family: 'Martian Mono';
    font-weight: 700;
    text-shadow: var(--text-shadow);
}

.calendar .status.in-progress {
    border-color: #dde;
    background-color: #dde;
}

.calendar .status.complete {
    border-color: var(--good);
    background-color: var(--good);
    color: white;
}

.calendar .status.today.complete {
    color: transparent;
}

.calendar .status.today.complete > p {
    display: none;
}

.calendar .status.today.complete > img {
    display: block;
}

.calendar .date > p {
    font-size: 1.2rem;
}

#archive-ladder-info {
    margin: 0;
    position-area: bottom span-right;
}

#archive-ladder-info h1 {
    margin-bottom: -1rem;
}

#random-archive {
    display: flex;
    gap: 1rem;
    align-self: center;
    align-items: center;
}

#random-archive > svg {
    width: 1.5rem;
    height: 1.5rem;
    translate: 0 -0.05rem;
}

#random-archive > svg > rect {
    fill: var(--text-color);
}

/* KEYBOARD ---------------------------------------------------------------------------------- */


@layer default {
    .keyboard {
        flex-direction: column;
        gap: 0.5rem;
        margin-bottom: 1rem;
        height: 16rem;
        width: 100%;
        max-width: 36rem;
        flex-shrink: 1;
        justify-content: center;
        align-items: center;
        display: none;
        user-select: none;
        -webkit-user-select: none;
        box-sizing: border-box;
        touch-action: none;
    }
    
    .keyboard > div {
        display: inherit;
        justify-content: inherit;
        align-items: stretch;
        gap: 0.4rem;
        width: 100%;
        flex: 1;
    }

    .keyboard > div > span {
        background: #dde;
        color: #334;

        font: 1.5rem 'Martian Mono';
        font-weight: 500;
        flex: 1;
        border-radius: 0.5rem;
        cursor: pointer;
        transition: background-color 300ms, color 150ms;

        display: flex;
        align-items: center;
        justify-content: center;
    }

    .keyboard > div > span:active {
        color: white;
        background-color: #aab;
    }

    .keyboard > .buttons {
        flex-grow: 0;
        margin-top: 0.75rem;
        gap: 0.5rem;
    }
    
    .keyboard > .buttons > div {
        font: 1.5rem 'Cabinet Grotesk';
        font-weight: 700;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0.75rem 1.5rem;
        background: #dde;
        border-radius: 100rem;
        touch-action: none;
    }
}

.keyboard.active {
    display: flex;
}

.keyboard > div > span.space {
    flex: 0.25;
    background: none;
}

.keyboard > div:nth-of-type(3) > span.space {
    flex-grow: 1;
}

#ENTER {
    background: var(--color-gradient);
    color: white;
    text-shadow: 0 0.125rem 0.375rem #0000002f;
    padding: 0.5rem 1.5rem;
}


/* RESPONSIVE ---------------------------------------------------------------------------------- */

@media (max-width: 768px) {
    :root {
        --tile-size: clamp(3rem, 14vw, 4rem);
        --tile-gap: calc(var(--tile-size) / 10);
    }

    html {
        font-size: clamp(10px, 3.5vw, 14px);
    }

    body {
        justify-content: start;
        gap: 1rem;
    }

    #mobile-menu-navbar {
        font-size: 1.25rem;
        height: 100%;
        aspect-ratio: 1;
        padding: 0;
    }

    .title {
        display: none;
    }

    .navbar.mobile h1 {
        text-align: start;
    }

    .grid {
        flex-shrink: 1;
    }

    #grid {
        justify-content: flex-start;
        flex: 1 1;
    }

    #words-typed {
        min-height: 0;
        max-height:
            min(
                max(
                    25vh,
                    calc(var(--tile-size) * 2 + var(--tile-gap))
                ),
                calc(var(--tile-size) * 5 + var(--tile-gap) * 4)
            );
    }

    #word-count {
        font-size: 1.75rem;
    }

    #definition {
        max-width: none;
    }

    .tile {
        border-radius: 0.375rem;
        border-width: 0.125rem;
    }

    .other-information {
        gap: 0.5rem;
    }

    .other-information > p {
        font-size: min(4vw, 1rem);
    }

    .keyboard {
        display: flex;
        min-height: 13rem;
    }

    .keyboard span {
        font-size: 1.35rem;
    }

    .toast {
        font-size: 1.25rem;
        top: 0.5rem;
    }

    div[popover].achievement-toast {
        left: 0;
        right: 0;
        transform: none;
        width: stretch;
        max-width: stretch;
        margin-inline: 1rem;

        h1 { font-size: 1.8rem; }
        p { font-size: 1.25rem; }
    }
}


@media (max-width: 32rem) {
    #grid:not(.loaded) { opacity: 0; }

    #about-ladder .header .icon {
        font-size: 2rem;
    }

    #full-stats,
    #achievement-menu {
        max-height: 90dvh;
    }

    #archive-menu .label {
        margin-bottom: 0.5rem;
    }

    #archive-menu hr {
        margin-left: 0.5rem;
        margin-right: 0.5rem;
    }

    .calendar {
        padding-inline: 0;
        border: none;
        border-radius: 0;
        border-top: 0.125rem dashed #ccd;
        /* padding: 1rem 0.5rem; */
        --gap: 0.75rem;
    }

    .calendar .date > p { font-size: 1rem; }
    .calendar .status { border-radius: 0.6rem; }
    .calendar .status > p { font-size: 1.25rem; }
}